Put environments
curl --request PUT \
--url https://app.kosli.com/api/v2/environments/{org} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"include_scaling": true,
"policies": [
"<string>"
]
}
'import requests
url = "https://app.kosli.com/api/v2/environments/{org}"
payload = {
"name": "<string>",
"description": "<string>",
"type": "<string>",
"include_scaling": True,
"policies": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
type: '<string>',
include_scaling: true,
policies: ['<string>']
})
};
fetch('https://app.kosli.com/api/v2/environments/{org}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Put environments
PUT
/
api
/
v2
/
environments
/
{org}
Put environments
Path Parameters
string
required
The Kosli organization.
Body Parameters
string
required
The name of the environment to create or update.
string
required
A description for the environment.
string
required
The type of the environment. Valid values are
K8S, S3, logical.boolean
default:"false"
Whether to include scaling information in the environment snapshot.
string[]
default:""
A list of policy names to associate with the environment.
Last modified on March 10, 2026
Was this page helpful?